Messages
{
"method": "subscribe",
"topic": "solana.dex.prices",
"params": {
"token_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
],
"pool_addresses": [
"9wFFyRfZBdaj2EcWNxUkt4GAg6Ct8N29pbh66ziNhbn"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.dex.prices"
]
}{
"topic": "solana.dex.prices",
"data": {
"id": 1,
"token_address": "13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos",
"pool_address": "9wFFyRfZBdaj2EcWNxUkt4GAg6Ct8N29pbh66ziNhbn",
"usd_price": 0.00035333766896967665,
"usd_volume": 137.4446156388933,
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z"
}
}Prices
Subscribe Prices
Subscribe to real-time price updates.
WSS
/
v1
/
ws
To keep the connection alive, you need to send a ping message every less than 60 seconds.
topic field that you can use to filter the type of message.
When subscribing, you can leave any of the array fields of the
params object empty to subscribe to all entries for that field.When unsubscribing, you can leave the
topics array empty to unsubscribe from all topics.Messages
{
"method": "subscribe",
"topic": "solana.dex.prices",
"params": {
"token_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
],
"pool_addresses": [
"9wFFyRfZBdaj2EcWNxUkt4GAg6Ct8N29pbh66ziNhbn"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.dex.prices"
]
}{
"topic": "solana.dex.prices",
"data": {
"id": 1,
"token_address": "13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos",
"pool_address": "9wFFyRfZBdaj2EcWNxUkt4GAg6Ct8N29pbh66ziNhbn",
"usd_price": 0.00035333766896967665,
"usd_volume": 137.4446156388933,
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z"
}
}x-api-key
type:httpApiKey
Your Prism API key. You can get one for free in the Prism Dashboard.
You must include it in the x-api-key query parameter.
Subscribe Prices
type:object
Subscribe to price updates.
Unsubscribe Prices
type:object
Unsubscribe from price updates.
Price Message
type:object
Message containing the price data.
Was this page helpful?
⌘I